SCRIPT_MERGE=$(PERL) $(EPAGES_CARTRIDGES)\DE_EPAGES\CodeGenerator\Scripts\mergeCvsBranch.pl
SCRIPT_MERGE_PM=$(PERL) $(EPAGES_CARTRIDGES)\DE_EPAGES\CodeGenerator\Scripts\mergeCartridgePm.pl
CVS_RTAG=echo cvs -q rtag

CVS_GLOBAL=RND/epages/epages5
CVS_REPOSITORY=$(CVS_GLOBAL)/AllOS/Cartridges/DE_EPAGES

CVS_BUGFIX=CVS_BUGFIX
CVS_RELEASE=CVS_RELEASE
CARTRIDGE=CARTRIDGE
MERGE_TAG=MERGE_TAG

test_bugfix:
	$(PERL) -e "exit ('$(CVS_BUGFIX)' eq 'CVS_BUGFIX' ? 1 : 0);"

test_release:
	$(PERL) -e "exit ('$(CVS_RELEASE)' eq 'CVS_RELEASE' or '$(CVS_RELEASE)' eq '$(CVS_BUGFIX)' ? 1 : 0);"

test_cartridge:
	$(PERL) -e "exit ('$(CARTRIDGE)' eq 'CARTRIDGE' ? 1 : 0);"

test_mergetag:
	$(PERL) -e "exit ('$(MERGE_TAG)' eq 'MERGE_TAG' ? 1 : 0);"

create_branch_bugfix: test_bugfix
	$(CVS_RTAG) A_$(CVS_BUGFIX) $(CVS_GLOBAL)
	$(CVS_RTAG) -b -r A_$(CVS_BUGFIX) B_$(CVS_BUGFIX) $(CVS_GLOBAL)
	$(CVS_RTAG) -r A_$(CVS_BUGFIX) M_$(CVS_BUGFIX) $(CVS_GLOBAL)

enable_cartridge: test_cartridge test_bugfix
	$(CVS_RTAG) A_$(CVS_BUGFIX) $(CVS_REPOSITORY)/$(CARTRIDGE)
	$(CVS_RTAG) -b -r A_$(CVS_BUGFIX) B_$(CVS_BUGFIX) $(CVS_REPOSITORY)/$(CARTRIDGE)
	$(CVS_RTAG) -r A_$(CVS_BUGFIX) M_$(CVS_BUGFIX) $(CVS_REPOSITORY)/$(CARTRIDGE)

create_branch_release: test_bugfix test_release
	$(CVS_RTAG) -r B_$(CVS_BUGFIX) A_$(CVS_RELEASE) $(CVS_GLOBAL)
	$(CVS_RTAG) -b -r A_$(CVS_RELEASE) B_$(CVS_RELEASE) $(CVS_GLOBAL)
	$(CVS_RTAG) -r A_$(CVS_RELEASE) M_$(CVS_RELEASE) $(CVS_GLOBAL)

create_branch_gen: test_cartridge test_bugfix
	$(CVS_RTAG) -r generated A_$(CVS_BUGFIX)_gen $(CVS_REPOSITORY)/$(CARTRIDGE)
	$(CVS_RTAG) -b -r A_$(CVS_BUGFIX)_gen B_$(CVS_BUGFIX)_gen $(CVS_REPOSITORY)/$(CARTRIDGE)
	$(CVS_RTAG) -r A_$(CVS_BUGFIX)_gen M_$(CVS_BUGFIX)_gen $(CVS_REPOSITORY)/$(CARTRIDGE)
	$(CVS_RTAG) -r A_$(CVS_BUGFIX)_gen M_$(CVS_BUGFIX)_generated $(CVS_REPOSITORY)/$(CARTRIDGE)

merge_automate: test_mergetag
	$(SCRIPT_MERGE) -merge $(MERGE_TAG) -server -nostop

merge_branch: test_mergetag test_cartridge
	$(SCRIPT_MERGE) -merge $(MERGE_TAG) $(CARTRIDGE)

merge_commit: test_mergetag test_cartridge
	$(SCRIPT_MERGE) -merge $(MERGE_TAG) -commit only $(CARTRIDGE)

merge_oldrelease: test_mergetag
	$(SCRIPT_MERGE_PM) -merge $(MERGE_TAG) -server
