#========================================================================================
# package      DE_EPAGES::ContextualAppAds::Hooks::Customer
# state        public
# description  Hook functions of the cartridge ContextualAppAds.
#========================================================================================
package DE_EPAGES::ContextualAppAds::Hooks::Customer;

use strict;
use DE_EPAGES::ContextualAppAds::UI::JSON qw ( JSONWriteAppData );

#========================================================================================
# function     OnUnityViewGeneral
#----------------------------------------------------------------------------------------
# syntax       OnUnityViewGeneral( $hParams );
#----------------------------------------------------------------------------------------
# description  Triggered by the hook UI_Customer_UnityViewGeneral.
#               Writes the JSON data of the context sensitive apps.
#----------------------------------------------------------------------------------------
# input        $hParams | hook parameter
#               <ul>
#                   <li>Servlet - servlet object - object
#               </ul> | ref.hash.*
#========================================================================================
sub OnUnityViewGeneral {
    my ($hParams) = @_;
    my $Servlet = $hParams->{'Servlet'};

    JSONWriteAppData($Servlet, 'customer');

    return;
}

1;
