#========================================================================================
# package      DE_EPAGES::ContextualAppAds::Hooks::Order
# state        public
# description  Hook functions of the cartridge ContextualAppAds.
#========================================================================================
package DE_EPAGES::ContextualAppAds::Hooks::Order;

use strict;
use DE_EPAGES::ContextualAppAds::UI::JSON qw ( JSONWriteAppData );

#========================================================================================
# function     OnUnityViewMBO
#----------------------------------------------------------------------------------------
# syntax       OnUnityViewMBO( $hParams );
#----------------------------------------------------------------------------------------
# description  Triggered by the hook UI_Order_UnityViewMBO.
#               Writes the JSON data of the context sensitive apps.
#----------------------------------------------------------------------------------------
# input        $hParams | hook parameter
#               <ul>
#                   <li>Servlet - servlet object - object
#               </ul> | ref.hash.*
#========================================================================================
sub OnUnityViewMBO {
    my ($hParams) = @_;
    my $Servlet = $hParams->{'Servlet'};

    JSONWriteAppData($Servlet, 'order');

    return;
}

1;
