#========================================================================================
# package      DE_EPAGES::ContextualAppAds::Hooks::Product
# state        public
# description  Hook functions of the cartridge ContextualAppAds.
#========================================================================================
package DE_EPAGES::ContextualAppAds::Hooks::Product;

use strict;
use DE_EPAGES::ContextualAppAds::UI::JSON qw ( JSONWriteAppData );

#========================================================================================
# function     OnViewUnityProduct
#----------------------------------------------------------------------------------------
# syntax       OnViewUnityProduct( $hParams );
#----------------------------------------------------------------------------------------
# description  Triggered by the hook UI_Product_ViewUnityProduct.
#               Writes the JSON data of the context sensitive apps.
#----------------------------------------------------------------------------------------
# input        $hParams | hook parameter
#               <ul>
#                   <li>Servlet - servlet object - object
#               </ul> | ref.hash.*
#========================================================================================
sub OnViewUnityProduct {
    my ($hParams) = @_;
    my $Servlet = $hParams->{'Servlet'};

    JSONWriteAppData($Servlet, 'product');

    return;
}

1;
