#========================================================================================
# package      DE_EPAGES::ContextualAppAds::Hooks::ProductFolder
# state        public
# description  Hook functions of the cartridge ContextualAppAds.
#========================================================================================
package DE_EPAGES::ContextualAppAds::Hooks::ProductFolder;

use strict;
use DE_EPAGES::ContextualAppAds::UI::JSON qw ( JSONWriteAppData );

#========================================================================================
# function     OnUnityViewProducts
#----------------------------------------------------------------------------------------
# syntax       OnUnityViewProducts( $hParams );
#----------------------------------------------------------------------------------------
# description  Triggered by the hook UI_ProductFolder_UnityViewProducts.
#               Writes the JSON data of the context sensitive apps.
#----------------------------------------------------------------------------------------
# input        $hParams | hook parameter
#               <ul>
#                   <li>Servlet - servlet object - object
#               </ul> | ref.hash.*
#========================================================================================
sub OnUnityViewProducts {
    my ($hParams) = @_;
    my $Servlet = $hParams->{'Servlet'};

    JSONWriteAppData($Servlet, 'product') unless $Servlet->params('DELETE');

    return;
}

#========================================================================================
# function     OnUnitySearchProducts
#----------------------------------------------------------------------------------------
# syntax       OnUnitySearchProducts( $hParams );
#----------------------------------------------------------------------------------------
# description  Triggered by the hook UI_ProductFolder_UnitySearchProducts.
#               Writes the JSON data of the context sensitive apps.
#----------------------------------------------------------------------------------------
# input        $hParams | hook parameter
#               <ul>
#                   <li>Servlet - servlet object - object
#               </ul> | ref.hash.*
#========================================================================================
sub OnUnitySearchProducts {
    my ($hParams) = @_;
    my $Servlet = $hParams->{'Servlet'};

    JSONWriteAppData($Servlet, 'product');

    return;
}

1;
