package DE_EPAGES::Product::t::CurrenciesResource;
use base DE_EPAGES::Shop::API::Test;

use strict;
use Test::More tests => 3;

use Data::Dumper;
use DE_EPAGES::Shop::API::Resource::Currencies;

## no critic qw(ProhibitMagicNumbers)

sub init {
    my $self = shift;

    $self->SUPER::init;

    # set up test data
    my $Shop = $self->shop;
    $Shop->featureMaxValue('Currencies', 5);

    $Shop->removeCurrency('EUR');
    $Shop->removeCurrency('CHF');
    $Shop->removeCurrency('USD');
    $Shop->removeCurrency('AUD');

    $Shop->addCurrency('EUR');
    $Shop->addCurrency('CHF');
    $Shop->addCurrency('USD');
    $Shop->addCurrency('AUD');

    $Shop->activateCurrency('USD');
    $Shop->activateCurrency('CHF');
}

sub test {
    my $self = shift;

    my $Shop = $self->shop;

    is scalar @{$Shop->currencies}, 5, 'shop has 5 currencies in total' or Test::More::diag Dumper($Shop->currencies);
    is $Shop->get('CurrencyID'), 'GBP', 'default currency';

    my $Resource = DE_EPAGES::Shop::API::Resource::Currencies->new;
    my $hResult = $Resource->get($Shop);
    is_deeply $hResult, {
        default => 'GBP',
        items => [qw(GBP CHF USD)]
    }, 'GET currencies' or Test::More::diag Dumper($hResult);
}

__PACKAGE__->runScript;
